Name:           freedink
Version:        109.6
Release:        %mkrel 2
Summary:        Humorous top-down adventure and role-playing game
Group:          Games/Adventure
License:        GPLv3+
URL:            https://www.gnu.org/software/freedink/
Source0:        https://ftp.gnu.org/gnu/freedink/%{name}-%{version}.tar.xz
Patch0:         sdl-android.patch
Patch1:         gnulib.patch
Patch2:         const.patch

BuildRequires:  cxxtest
BuildRequires:  glm-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_gfx)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)

Requires:       %{name}-data
Requires:       fonts-ttf-liberation
Requires:       TiMidity++

Provides:       bundled(gnulib)

%description
Dink Smallwood is an adventure/role-playing game, similar to Zelda,
made by RTsoft. Besides twisted humour, it includes the actual game
editor, allowing players to create hundreds of new adventures called
Dink Modules or D-Mods for short.

GNU FreeDink is a new and portable version of the game engine, which
runs the original game as well as its D-Mods, with close
compatibility, under multiple platforms.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%configure2_5x --bindir=%{_gamesbindir} \
           --datadir=%{_gamesdatadir} \
           --disable-embedded-resources
%make_build

%install
rm -rf %buildroot
%make_install

# Remove bundled font
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/LiberationSans-Regular.ttf

%find_lang %{name}
%find_lang %{name}-gnulib
# %%files only support one '-f' argument (see below)
cat %{name}-gnulib.lang >> %{name}.lang

%files -f %{name}.lang
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_gamesbindir}/*dink*
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/*dink*.6*


%changelog
* Mon Aug 07 2023 tex - 109.6-2pclos2023
- fix font dependency

* Sat Aug 05 2023 tex - 109.6-1pclos2023
- create pkg
